Subject: Ticket Assigned - COMPLAIN
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 29 Jan 2023 12:58:06 +0000

Hi Mohammad Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  COMPLAIN 
Good evening:

I have an issue please and i need someone to assist me.

I have made an order through Max KSA application .. with the number 6199429301.. with the name Tarek mohamed Ali.

The shipping company which is landmark group .. informed me that the order has been delivered .. while i haven't recieved anything yet !! .. and the order is already prepaid ..

Unfortunately, no one have accepted the order from my own side .. and i discovered that the mentioned contact number was written wrong .. here is the mistake ..
But the address was right ..

So, I have contacted the mentioned number that was not correct .. and surprisingly .. she has my order !!

She informed the courier that this is not her order and it came by mistake and the courier refused to take it back .. or to contact max stores !!!!!

How could this happen for god's sake !!!

Delivering a paid order to the wrong person intentionally and not giving a damn about the owner of this order !!!

Is that a simple mistake !!

Why didn't he return it back to the cargo company and they could have simply contacted me through my email .. or contacted your customer service and you could have reached me through my email and solve this issue.

I need someone to contact me urgently as this is not acceptable at all !

And until now i haven't received my paid order !!!!!!!

Sent from Outlook for Android<https://aka.ms/AAb9ysg>

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5639598